#include<iostream>
using namespace std;
struct Parovi
{
	int br1;
	int br2;
};
int main()
{
	int n, m;
	cin >> n >> m;
	int druzeljubivost[100000];
	Parovi parovi[100000];
	int i, j;
	int zbir1 = 0, zbir2 = 0;

	for (i = 0; i < n; i++)
	{
		cin >> druzeljubivost[i];
	}

	for (i = 0; i < m; i++)
	{
		cin >> parovi[i].br1 >> parovi[i].br2;
	}

	for (i = 0; i < n; i++)
	{
		int brojac = 0;
		for (j = 0; j < m; j++)
		{
			if (parovi[j].br1 == i + 1)
			{
				brojac++;
			}
			else if (parovi[j].br2 == i + 1)
			{
				brojac++;
			}
		}
		zbir1 += druzeljubivost[i] * (brojac - 0);
		zbir2 += druzeljubivost[i] * (0 - brojac);
	}

	if (zbir1 > zbir2)
	{
		cout << zbir1;
	}
	else
	{
		cout << zbir2;
	}

	return 0;
	system("pause");
}